/*
  Made By  © Mustafa López & el Rateret del Culebrón-Xinorlet Pinos (Alacant) 2021             
*/

*----------------------------------------*
* (©) Mustafa López  mustalopez@gmail.com
*----------------------------------------*

#include "hmg.ch"

*---------------------------------------------------------* 
Function InfusX()  
*---------------------------------------------------------* 
  SET ESCAPE ON
  SET DELETE ON 
  SET CENTURY ON
  SET DATE FRENCH
  SET CURSOR OFF
  SET NAVIGATION EXTENDED
  SET TOOLTIPSTYLE BALLOON
  SET CODEPAGE TO UNICODE
*---------------------------------------------------------------------------------------*

  PRIVATE aVersi := {"MiniGUIVersion(): ","HMGVersion(): ","OOHGVersion(): "}
  PRIVATE cMiniG := MINIGUIVERSION()
  PRIVATE cNewLi := HB_OSNEWLINE()
  PRIVATE cDatos1 , cDatos2 , cDatos3 , cDatos4, cContenido 

  anyo   = HB_USUBSTR(DTOC(DATE()),7,4)      // <== AÑO

       DEFINE WINDOW Form_5              ;
           ROW    000                    ; 
	   COL    000                    ;
	   WIDTH  384                    ; 
	   HEIGHT 322                    ; 
           Title 'Capture Screen'+ SPACE(2) +  anyo  ;
           MODAL  NOSIZE NOSYSMENU       ; 
           BACKCOLOR  {007,086,005}      ;
           ON INIT VersionCompiler(.T.)
  
           ON KEY ESCAPE ACTION Form_5.Release  

        DEFINE IMAGE Loguse 
            ROW 007 ; COL 055 ; WIDTH 075  ; HEIGHT 075  
            PICTURE "Resource\logo.jpg"    
            STRETCH .T.           
        END IMAGE


      @ 023,140 LABEL Label_001 VALUE "Gripau - Soft " WIDTH 300 HEIGHT 035 FONT "Arial" ;
                       SIZE 25 BOLD BACKCOLOR  {007,086,005}  FONTCOLOR {255,000,000 } 

      @ 069,168 LABEL Label_002 VALUE "©  Mustafa López " WIDTH 250 HEIGHT 015 FONT "Arial" ;
                       SIZE 11 BOLD BACKCOLOR  {007,086,005}  FONTCOLOR {250,250,250 } 

    DEFINE EDITBOX Edit_001
        ROW    105                  
        COL    026            
        WIDTH  327   
        HEIGHT 115  
        VALUE cContenido
        FONTNAME "Arial"   
        FONTSIZE 10   
        FONTBOLD .T.
        FONTITALIC .F.
        TOOLTIP ""
        FONTBOLD .T.
        FONTITALIC .F.
        DISABLEDBACKCOLOR  {183,214,255}   
        DISABLEDFONTCOLOR  {000,000,000} 
        VISIBLE .T.
        READONLY .T.
        HSCROLLBAR .F.
        VSCROLLBAR .F.
        BACKCOLOR {183,214,255}        
        FONTCOLOR Nil
    END EDITBOX
   
*-----------------------------------------------------------------------------*

    DEFINE BUTTON But_004
         ROW    238
         COL    128 
         WIDTH  119  
         HEIGHT 036
         ACTION  Form_5.Release
         CAPTION SPACE(07)-"Exit"         
         PICTURE "Resource\Home.bmp" 
         PICTALIGNMENT LEFT 
         FONTNAME "Arial"
         FONTSIZE 9
         FONTBOLD .T.
         FONTITALIC .T.
         TOOLTIP "Exit"
    END BUTTON

  End Window

  Chane_StyleR() 

  Form_5.Label_002.SetFocus  
 
  SETWINDOWCURSOR ( Form_5.But_004.Handle , "Resource\SmoothHand.cur")    
      
 Form_5.Center
 Form_5.Activate

Return Nil


*---------------------------------------------------------* 
 FUNCTION Chane_StyleR()   
*---------------------------------------------------------* 

 HMG_ChangeWindowStyle ( GetControlHandle("Edit_001","Form_5"), LVS_REPORT, NIL, .T. )

Return   


*---------------------------------------------------------* 
FUNCTION VersionCompiler(lEdit)
*---------------------------------------------------------* 

* -------------------------------
* (©) LuchoMiranda@Telefonica.Net
* -------------------------------

  DO CASE
     CASE AT("MINI",UPPER(cMiniG)) <>0 ;cMiniG :=SPACE(00) + aVersi[1]
     CASE AT("HMG" ,UPPER(cMiniG)) <>0 ;cMiniG :=SPACE(03) + aVersi[2]
     CASE AT("OOHG",UPPER(cMiniG)) <>0 ;cMiniG :=SPACE(01) + aVersi[3]
  ENDCASE

   cDatos1 := cNewLi  + SPACE(05)+ "OS(): " + OS()           + cNewLi 
   cDatos2 := SPACE(05)+"Version(): "       + VERSION()      + cNewLi 
   cDatos3 := SPACE(05)+"HB_Compiler(): "   + HB_COMPILER()  + cNewLi 
   cDatos4 := SPACE(05)+ ALLTRIM(cMiniG )   + SPACE(1)+ MINIGUIVERSION()

   cContenido  := cDatos1 + cDatos2 + cDatos3 + cDatos4 
 
   Form_5.Edit_001.Value := cContenido


RETURN NIL

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
























