/*
Re: Screenshot-Captura_Pantallas
Postby Roberto Lopez » 03 Oct 2016 17:14

Courtesy of Roberto Lopez , Dr. Claudio Soto , Bicahi Esgici 

view => https://www.hmgforum.com/viewtopic.php?f=9&t=4902&hilit=Bicahi&start=50

Well... 

Be careful, since I've modified certain BOS Taurus functions to use handles instead window names.

Maybe you must rename some of such functions.
*-----------------------------------------------------------------------------------*
Bien...

Tenga cuidado, ya que modifiqué ciertas funciones de BOS Taurus para usar identificadores en lugar 
de nombres de ventanas.

Quizás deba cambiar el nombre de algunas de estas funciones.

BT_WINHANDLE
BT_FILLRECTISNIL
BT_ADJUSTWIDTHHEIGHTRECT
BT_CLIENTAREAWIDTH
BT_CLIENTAREAHEIGHT
BT_BITMAPSAVEFILE
BT_BITMAPRELEASE
BT_BITMAPCAPTURECLIENTAREA

( added RL to BTs )

*/

*-------------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------------*

#include <hmg.ch>
#include <Info.prg>

#define ResetWarnTime() nLastActTime := SECONDS()

PROC Main()

SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET CODEPAGE TO UNICODE
  SET DELETED ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON
  SET TOOLTIPSTYLE BALLOON

  PUBLIC cFileName , xuno, xdos, xtre, xcua , mirasT , nLogXT := 1 , coUn := 0
  PUBLIC PriNc0 := HB_Curdrive() +":\"+Rtrim(Curdir() ) + "\" 
  PUBLIC PriNc1 := HB_Curdrive() +":\"+Rtrim(Curdir() ) + "\Screenshot" 
  PUBLIC aItems := {}
  PUBLIC nLogX , miraS , veox , anyo , nCol , nRow , Porden
          aadd ( aItems ,  SPACE(1) + 'Format' + SPACE(4) + HB_UChar(187) + SPACE(4) + 'JPG')   
          aadd ( aItems ,  SPACE(1) + 'Format' + SPACE(4) + HB_UChar(187) + SPACE(4) + 'PNG')
       	  aadd ( aItems ,  SPACE(1) + 'Format' + SPACE(4) + HB_UChar(187) + SPACE(4) + 'BMP')
	  aadd ( aItems ,  SPACE(1) + 'Format' + SPACE(4) + HB_UChar(187) + SPACE(4) + 'GIF')

   DIRCHANGE( PriNc0 )
 
   anyo   = HB_USUBSTR(DTOC(DATE()),7,4)      // <== AÑO

   IF !FILE("Norden.mem")
       Porden := "0000" 
       SAVE ALL LIKE Porden TO Norden.mem 
   ENDIF 
 
   DEFINE WINDOW Form_1             ;
  	  AT 0,0                    ;
          WIDTH 425 HEIGHT 373      ;
          TITLE 'Capture Screen  '  + anyo ;
          ICON 'Logo'               ;
          MAIN NOSIZE NOMAXIMIZE
      
          ON KEY ESCAPE ACTION ThisWindow.Release   

     miraST = 0   

     DEFINE TIMER Timer_1QZ INTERVAL miraST ACTION Seguido()

          @ 033, 020 LABEL window_3   WIDTH 15 VALUE 'AT' BOLD
	  @ 030, 070 TEXTBOX window_4 WIDTH 40 VALUE 0 NUMERIC INPUTMASK '9999' ON GOTFOCUS (_PushKey(VK_END))   // <== Gentileza de SALINETAS24
	  @ 033, 135 LABEL window_5   WIDTH 06 VALUE ','  BOLD
	  @ 030, 165 TEXTBOX window_6 WIDTH 40 VALUE 0 NUMERIC INPUTMASK '9999' ON GOTFOCUS (_PushKey(VK_END))
	  
	  @ 068, 020 LABEL window_7 VALUE 'WIDTH' WIDTH 70 BOLD
          @ 065, 070 TEXTBOX window_8 WIDTH 40 VALUE 0 NUMERIC INPUTMASK '9999' ON GOTFOCUS (_PushKey(VK_END))
	  @ 068, 118 LABEL window_9 VALUE 'HEIGHT' WIDTH 70 BOLD
          @ 065, 165 TEXTBOX window_10 WIDTH 40 VALUE 0 NUMERIC INPUTMASK '9999' ON GOTFOCUS (_PushKey(VK_END)) 

          @ 105,020 LABEL Label_01 VALUE "Counter"+ SPACE(3) + HB_UChar(187) WIDTH 100 HEIGHT 029 FONT "Arial";
                    SIZE 10 BOLD ITALIC TOOLTIP "Counter  Screenshot "  //  CRLF +"Counter  Screenshot "+ CRLF +SPACE(10)  

         IF FILE("Norden.mem")
            RESTORE FROM Norden.mem ADDITIVE 
          @ 102,100 LABEL Label_02 VALUE ALLTRIM( Porden ) CENTERALIGN FONT "DS-Digital" SIZE 17 BOLD ITALIC ;
                    BACKCOLOR { 021,018,020}  FONTCOLOR { 255,255,000 } WIDTH 076 HEIGHT 28
         ELSE
            Porden := "0000" 
            SAVE ALL LIKE Porden TO Norden.mem 
            RESTORE FROM Norden.mem ADDITIVE 
          @ 102,100 LABEL Label_02 VALUE ALLTRIM( Porden ) CENTERALIGN FONT "DS-Digital" SIZE 17 BOLD ITALIC ;
                    BACKCOLOR { 021,018,020}  FONTCOLOR { 255,255,000 } WIDTH 076 HEIGHT 28
         ENDIF

         DEFINE IMAGE screen_1 
             ROW 020 ; COL 220 ; WIDTH 180  ; HEIGHT 110   
             PICTURE ""    
             STRETCH .T.
             ACTION ViewPix1()
             TOOLTIP "Click Enlarged Image"  
         END IMAGE

         DEFINE IMAGE screen_2 
             ROW 020 ; COL 220 ; WIDTH 180  ; HEIGHT 110   
             PICTURE "Resource\0000.jpg"    
             STRETCH .T.
             ACTION InfusX() 
             TOOLTIP "Click Info About"
         END IMAGE

         nLogX  = 1

         @ 150,050 COMBOBOX Combo_01          ;            
               WIDTH 125 HEIGHT 400           ;                  
               ITEMS aItems                   ;         
               VALUE nLogX                    ;
               ON CHANGE nLogX := This.Value  ;
               FONT 'Arial' SIZE 09           ; 
               BOLD ITALIC  

          @ 150,247 BUTTON btnCounter   CAPTION SPACE(2)-"Counter"+ HB_UChar(187)+SPACE(1)+"0"  ;
                                                                     PICTURE "Resource\counter.bmp"  LEFT WIDTH 125 HEIGHT 035 ACTION CounteryNo()
          @ 194,050 BUTTON btnCapture   CAPTION SPACE(1)-"Capture !" PICTURE "Resource\Maquina1.bmp" LEFT WIDTH 125 HEIGHT 035 ACTION CaptureSystem()   
          @ 194,245 BUTTON btnViewer    CAPTION SPACE(2)-"View !"    PICTURE "Resource\View.bmp"     LEFT WIDTH 125 HEIGHT 035 ACTION Viewry()
          @ 240,050 BUTTON btnAutomatic CAPTION "Automatic !"        PICTURE "Resource\Maquina1.bmp" LEFT WIDTH 125 HEIGHT 035 ACTION AlaTaker()
          @ 240,245 BUTTON btnAutoStop  CAPTION SPACE(2)-"Stop !"    PICTURE "Resource\Stop.bmp"     LEFT WIDTH 125 HEIGHT 035 ACTION StopCaptur()  
          @ 287,145 BUTTON btnExit      CAPTION SPACE(2)-"Exit !"    PICTURE "Resource\Exit.bmp"     LEFT WIDTH 125 HEIGHT 035 ACTION ThisWindow.Release       
   END WINDOW

    IF FILE("xTemp.mem")
       RESTORE FROM xTemp.mem  ADDITIVE 
       Form_1.window_4.Value  := xuno
       Form_1.window_6.Value  := xdos 
       Form_1.window_8.Value  := xtre
       Form_1.window_10.Value := xcua
    ELSE
       nCol :=  GetDesktopWidth()   + 13
       nRow :=  GetDesktopHeight()  - 60  
       xuno = 0
       xdos = 0 
       xtre = nCol 
       xcua = nRow 
       SAVE ALL LIKE  x* TO xTemp.mem 
       RESTORE FROM xTemp.mem  ADDITIVE 
       Form_1.window_4.Value  := xuno
       Form_1.window_6.Value  := xdos 
       Form_1.window_8.Value  := xtre
       Form_1.window_10.Value := xcua       
    ENDIF


    HMG_ChangeWindowStyle ( GetControlHandle("screen_1","Form_1"), LVS_REPORT, NIL, .T. )
    HMG_ChangeWindowStyle ( GetControlHandle("screen_2","Form_1"), LVS_REPORT, NIL, .T. )
    HMG_ChangeWindowStyle ( GetControlHandle("Label_02","Form_1"), LVS_REPORT, NIL, .T. )
    SetWindowCursor ( Form_1.screen_1.Handle, "Resource\SmoothHand.cur" )  
    SetWindowCursor ( Form_1.btnCapture.Handle, "Resource\SmoothHand.cur" )  
  
  
    Form_1.window_4.SetFocus

    Form_1.Center
    Form_1.Activate
      
RETU 


*-----------------------------------------------------------------------------------*
 FUNCTION Busca_Format()
*-----------------------------------------------------------------------------------*
   IF nLogX = 1
      miraS := 'jpg'
   ENDIF   
 
   IF nLogX = 2
      miraS := 'png'
   ENDIF   

   IF nLogX = 3
     miraS := 'bmp'
   ENDIF 
  
   IF nLogX = 4
     miraS := 'gif'
   ENDIF   

Return Nil 


*-----------------------------------------------------------------------------*
FUNCTION AlaTaker()
*-----------------------------------------------------------------------------*
  Form_1.btnCounter.Enabled   := .F.  
  Form_1.btnViewer.Enabled    := .F.  
  Form_1.btnCapture.Enabled   := .F. 
  Form_1.btnAutomatic.Enabled := .F. 
  Form_1.screen_1.Enabled     := .F. 
 
  Form_1.screen_1.Show
  Form_1.screen_2.Hide
 
   nLogXT = 2
   miraST = 5000  
   Seguido()

Return NIl

*-----------------------------------------------------------------------------*
FUNCTION Seguido()
*-----------------------------------------------------------------------------*
    IF nLogXT = 1
        miraST = 0
        N_Segon := 0
        ResetWarnTime()
        N_Segon := 0.1
    ENDIF  

    IF nLogXT = 2
        miraST = 5000 
        ResetWarnTime()
        N_Segon := 5.5 
        Form_1.Timer_1QZ.Value :=  miraST 
        CaptureSystem()
    ENDIF

Return Nil 

*-----------------------------------------------------------------------------*
 FUNCTION StopCaptur()
*-----------------------------------------------------------------------------*
   nLogXT = 1
   miraST = 0  
   N_Segon := 0
   ResetWarnTime()
   Form_1.Timer_1QZ.Value :=  miraST 
   Form_1.screen_1.Show

   Form_1.btnCounter.Enabled   := .T.  
   Form_1.btnViewer.Enabled    := .T.  
   Form_1.btnCapture.Enabled   := .T. 
   Form_1.btnAutomatic.Enabled := .T. 
   Form_1.screen_1.Enabled     := .T.

Return Nil 

*------------------------------------------------------------------------------*
FUNCTION CaptureSystem()
*------------------------------------------------------------------------------*
   Form_1.screen_1.Show
   Form_1.screen_2.Hide

  IF FILE("Counter.mem")
     DIRCHANGE( PriNc0  )
     RESTORE FROM Counter.mem  ADDITIVE  
  ELSE
     coUn = 0   
     SAVE ALL LIKE coUn* TO Counter.mem      
  ENDIF
 
     DIRCHANGE( PriNc0  )
     RESTORE FROM Counter.mem ADDITIVE  

     coUn = coUn + 1
     SAVE ALL LIKE coUn* TO Counter.mem     
      
  IF coUn > 9999   
     CounteryYe()   // Inicia contador ==> 0001
  ENDIF

    Form_1.Minimize()
    Form_1.Hide
   
    cFileName := "Screenshot\" + strzero( coUn,4 )   

    Porden :=  strzero( coUn,4 )  
    SAVE ALL LIKE Porden TO Norden.mem 
       
    xuno :=  Form_1.window_4.Value
    xdos :=  Form_1.window_6.Value
    xtre :=  Form_1.window_8.Value
    xcua :=  Form_1.window_10.Value

    SAVE ALL LIKE  x* TO xTemp.mem 

*---------------------------------------------------------------------------------*
    Busca_Format()   
*---------------------------------------------------------------------------------*
 
   xSAVEWINDOWBYHANDLE ( BT_SCR_GETDESKTOPHANDLE() , cFileName + '.' + miraS , xuno , xdos , xtre , xcua ) 

   RESTORE FROM Norden.mem ADDITIVE  

   Form_1.Label_02.Value := ALLTRIM( Porden) 
   Form_1.screen_2.Hide
   Form_1.screen_1.Picture :=  cFileName + '.' + miraS

   Form_1.Restore() 
   Form_1.Show

 RETURN NIL

*-----------------------------------------------------------------------------------*
 FUNCTION CounteryYe()      
*-----------------------------------------------------------------------------------*

    DIRCHANGE( PriNc0 )
 
    DeleteFile( "Counter.mem" ) 
    coUn = 1  

    SAVE ALL LIKE coUn* TO Counter.mem    
    RESTORE FROM Counter.mem  ADDITIVE  

    Porden := "0001"  
    SAVE ALL LIKE Porden TO Norden.mem 

    RESTORE FROM Norden.mem  ADDITIVE  

    Form_1.Label_02.Value   := ALLTRIM( Porden)  

    Form_1.screen_2.Show
    Form_1.screen_2.Picture :="Resource\0000.jpg"  

    StopCaptur()

   
Return

*-----------------------------------------------------------------------------------*
 FUNCTION CounteryNo()      
*-----------------------------------------------------------------------------------*

   DIRCHANGE( PriNc0 )
   StopCaptur()
   
  IF MsgYesNO("Se Sobrescriben las Capturas"+ CRLF + CRLF + ;
              "Captures are Overwritten" , "Attention !!!")

    DIRCHANGE( PriNc0  )
    DeleteFile( "Counter.mem" ) 
    coUn = 0  

    SAVE ALL LIKE coUn* TO Counter.mem    
    RESTORE FROM Counter.mem  ADDITIVE  

    Porden := "0000"  
    SAVE ALL LIKE Porden TO Norden.mem 

    RESTORE FROM Norden.mem  ADDITIVE  

    Form_1.Label_02.Value   := ALLTRIM( Porden)  

    Form_1.screen_1.Hide
    Form_1.screen_2.Show
    Form_1.screen_2.Picture :="Resource\0000.jpg"  
  
  ENDIF

Return

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

*------------------------------------------------------------------------------------*
FUNCTION XSAVEWINDOWBYHANDLE ( nHandle , cFileName , nRow , nCol , nWidth , nHeight )
*------------------------------------------------------------------------------------*
LOCAL hBitmap

   hBitmap := BTRL_BITMAPCAPTURECLIENTAREA ( nHandle , nRow, nCol, nWidth, nHeight)


   IF hBitmap <> 0

   IF      UPPER(RIGHT( cFileName , 4 ) ) == '.JPG'
         BTRL_BITMAPSAVEFILE (hBitmap, cFileName , BT_FILEFORMAT_JPG )
   ELSEIF  UPPER(RIGHT( cFileName , 4 ) ) == '.PNG'
         BTRL_BITMAPSAVEFILE (hBitmap, cFileName , BT_FILEFORMAT_PNG )
   ELSEIF  UPPER(RIGHT( cFileName , 4 ) ) == '.BMP'
         BTRL_BITMAPSAVEFILE (hBitmap, cFileName , BT_FILEFORMAT_BMP )
   ELSEIF  UPPER(RIGHT( cFileName , 4 ) ) == '.GIF'
         BTRL_BITMAPSAVEFILE (hBitmap, cFileName , BT_FILEFORMAT_GIF )
   ENDIF

   BTRL_BITMAPRELEASE (hBitmap)

   ENDIF

RETURN hBitmap

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

Function BTRL_BITMAPCAPTURECLIENTAREA ( nHandle , Row, Col, Width, Height)
   LOCAL New_hBitmap
   LOCAL Max_Width  := BTRL_CLIENTAREAWIDTH( nHandle )
   LOCAL Max_Height := BTRL_CLIENTAREAHEIGHT( nHandle )
   BTRL_FILLRECTISNIL (@Row, @Col, @Width, @Height, 0, 0, Max_Width, Max_Height)   
   BTRL_ADJUSTWIDTHHEIGHTRECT (Row, Col, @Width, @Height, Max_Width, Max_Height)      
   New_hBitmap := BT_BMP_CAPTURESCR ( nHandle , Col, Row, Width, Height, BT_BITMAP_CAPTURE_DESKTOP)
Return New_hBitmap

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

Function BTRL_BITMAPSAVEFILE (hBitmap, cFileName, nTypePicture)
   LOCAL lRet
   nTypePicture := IF (Valtype(nTypePicture) == "U", BT_FILEFORMAT_BMP, nTypePicture)
   lRet := BT_BMP_SAVEFILE (hBitmap, cFileName, nTypePicture)
Return lRet

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

Function BTRL_BITMAPRELEASE (hBitmap)
   BT_BMP_RELEASE (hBitmap)
Return Nil

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

Function BTRL_CLIENTAREAWIDTH ( nHandle )
   LOCAL Width := BT_SCR_GETINFO ( nHandle , BT_SCR_CLIENTAREA, BT_SCR_INFO_WIDTH)   
Return Width

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

Function BTRL_CLIENTAREAHEIGHT ( nHandle )
   LOCAL Height := BT_SCR_GETINFO ( nHandle , BT_SCR_CLIENTAREA, BT_SCR_INFO_HEIGHT)      
Return Height

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

Function BTRL_FILLRECTISNIL (Row, Col, Width, Height, Row_value, Col_value, Width_value, Height_value)
   Row    := IF (Valtype(Row)    =="U",  Row_value,    Row)
   Col    := IF (Valtype(Col)    =="U",  Col_value,    Col)
   Width  := IF (Valtype(Width)  =="U",  Width_value,  Width)
   Height := IF (Valtype(Height) =="U",  Height_value, Height)   
Return Nil

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

Function BTRL_ADJUSTWIDTHHEIGHTRECT (Row, Col, Width, Height, Max_Width, Max_Height)
   Width  := IF ((Col + Width  > Max_Width),  (Max_Width  - Col), Width)
   Height := IF ((Row + Height > Max_Height), (Max_Height - Row), Height)
Return Nil

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

Function BTRL_WINHANDLE (Win)
   LOCAL hWnd := IF (ValType(Win)=="N", Win, GetFormHandle(Win))
Return hWnd

*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  


*-----------------------------------------------------------------------------------*
 FUNCTION Viewry()
*-----------------------------------------------------------------------------------*
  DIRCHANGE( PriNc0 )
  DIRCHANGE( PriNc1 )

  cFileNameX :=  Getfile ( { {'Files','*.*'} } , 'Select File'  , 'Screenshot\' , .F. , .F., 1 )  
 
  IF cFileNameX < SPACE(1)
      msgStop('Missing File','Attention !!!')
      DIRCHANGE( PriNc0 )
      Return(.F.)
 ENDIF

*------------------  File + ".*" =  Cálculo Dígitos ------------------*
   cFileD := cFileNameX
   ficheraax := LEFT( cFileD , LEN(cFileD) ) 
   nPos := RAT("\", cFileD) 
   ficheraaxA  = SUBSTR(cFileD, 1, nPos) 
*---------------------------------------------------------------------*
   cFileD := cFileNameX
   ficheraaxB := RIGHT( cFileD , LEN(cFileD) - RAT("\", cFileD ))  
*---------------  Solo File  =  Calculo Digitos ----------------------*
   Nuevo =  LEFT ( ficheraaxB , LEN( ficheraaxB ) - 4 ) 
   Nirax := alltrim(ficheraaxB)
*---------------------------------------------------------------------*
*---------------------------------------------------------------------*

  PRIVATE MWinColX  , MWinRowX 

  MWinColX  :=  GetDesktopWidth()  - 01  
  MWinRowX  :=  GetDesktopHeight() - 45  

  SET DEFAULT ICON TO 'Resource\camara.ico'

   DEFINE WINDOW Form_3              ;
          AT 0,0                     ;
          WIDTH   MWinColX           ;  
          HEIGHT  MWinRowX           ; 
          TITLE SPACE(03) + "View Screenshot " + SPACE(2) + Nirax +SPACE(163) + "[ Esc ] =>  Exit " ; 
          CHILD NOSIZE NOSYSMENU 
      
          ON KEY ESCAPE ACTION ( DIRCHANGE( PriNc0 ), Form_3.Release )  

          DEFINE TIMER Timer_05 INTERVAL 100 ;
                 ACTION { || thisWindow.Row := 004 , thisWindow.Col := 01 }
  
          DEFINE IMAGE Fondo_3
              ROW 010 ; COL 012 ; WIDTH  MWinColX -33  ; HEIGHT  MWinRowX -54   
              PICTURE Nirax          
              STRETCH .T.
          END IMAGE

   END WINDOW

    Form_3.Center
    ACTIVATE WINDOW Form_3 

Return

*-----------------------------------------*
 FUNCTION ViewPix1()
*-----------------------------------------*

    DIRCHANGE( PriNc0 )

     Form_1.screen_2.Hide 

        Define window Form_2 ;
           ROW    069        ; 
	   COL    060        ;
	   WIDTH  802        ; 
	   HEIGHT 463        ; 
           MODAL NOSIZE NOSYSMENU NOCAPTION  ;
           BACKCOLOR {184,185,182}   

           ON KEY ESCAPE ACTION  (  Form_2.Release , Form_1.screen_2.Show )

       @ 007   ,006   LABEL Fondo_01 VALUE "" WIDTH 797 HEIGHT 457  FONT "Ms Sans Serif" SIZE 11  BACKCOLOR {000,000,000}   
       @ 007-6 ,006-5 LABEL Fondo_02 VALUE "" WIDTH 797 HEIGHT 457  FONT "Ms Sans Serif" SIZE 11  BACKCOLOR {184,185,182} 

      SETPROPERTY("Form_2","Fondo_01","Enabled",.F.)   
      SETPROPERTY("Form_2","Fondo_02","Enabled",.F.)   

*-----------------------------------------------------------------------------------------------------------------------------------*
      @ 005,781 IMAGE Fondo_2Zx PICTURE 'Resource\AXIS_ONx2.BMP' WIDTH 014 HEIGHT 014  STRETCH 
      @ 005,781 IMAGE Fondo_2Qx PICTURE 'Resource\AXIS_ONx1.BMP' WIDTH 014 HEIGHT 014  STRETCH 
      @ 006,781 LABEL Label_3Qx VALUE ""                         WIDTH 014 HEIGHT 014  ACTION  Closex1() TOOLTIP "Exit" TRANSPARENT 
*-----------------------------------------------------------------------------------------------------------------------------------* 
 
      veox := cFileName + '.' + miraS
   
      @ 018,018 IMAGE imag_02 PICTURE veox  WIDTH  765 HEIGHT 425 STRETCH  
                                              
      @ 004,349 LABEL Label_022 Value "Capture =>  " + ALLTRIM( SUBSTR( veox,12,8 ) ) ;
                WIDTH 200 HEIGHT 14  FONT "Arial" SIZE 8 BOLD BACKCOLOR {184,185,182}  FONTCOLOR { 000,000,000 }    

      Form_2.Fondo_2Zx.Show 
      Form_2.Fondo_2Qx.Hide 

   End Window

      SetWindowCursor ( Form_2.Label_3Qx.Handle, "Resource\SmoothHand.cur" )  

      HMG_ChangeWindowStyle ( GetControlHandle("Fondo_02","Form_2"), LVS_REPORT, NIL, .T. )
      HMG_ChangeWindowStyle ( GetControlHandle("imag_02","Form_2"), LVS_REPORT, NIL, .T. )
     

   Form_2.Center
   Form_2.activate


  retu nil


*----------------------------------------------------------------------------*
 FUNCTION Closex1()
*----------------------------------------------------------------------------*
 
      Form_2.Fondo_2Zx.Hide 
      Form_2.Fondo_2Qx.Show

      DIRCHANGE( PriNc0 )
 
      Form_1.screen_2.Show

      INKEY(0.95) 

      Form_2.Release 

 Return(Nil)


*._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-  

